<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
  require('includes/application_top.php');
  require(DIR_WS_CLASSES . 'currencies.php');
    
	$currencies = new currencies();
	$action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');
	if ($action==""){
		$action = (isset($HTTP_GET_VARS['firstaction']) ? $HTTP_GET_VARS['firstaction'] : '');
	}

	$orders_id=(isset($HTTP_GET_VARS['orders_id'])?$HTTP_GET_VARS['orders_id']:'');
	$mode=(isset($HTTP_GET_VARS['mode'])?(int)$HTTP_GET_VARS['mode_id']:0);
	$error=(isset($HTTP_GET_VARS['error'])?$HTTP_GET_VARS['error']:'');
	$view_type=(isset($HTTP_GET_VARS['type'])?$HTTP_GET_VARS['type']:'');
	if ($action=="search")
	{
		if (isset($HTTP_GET_VARS['page']) && ($HTTP_GET_VARS['page'] > 1)) $rows = $HTTP_GET_VARS['page'] * MAX_DISPLAY_SEARCH_RESULTS - MAX_DISPLAY_SEARCH_RESULTS;
		$rows=0;
		$search_heading="";
		$search_group='A'; // all users both reserved and waitlist
		$query_field1=$query_field2=$query_field3=$query_field4=$query_field5=$query_field6=$query_field7=$query_field8=$query_field9=$query_field10=$query_field11="";
		if (tep_not_null($HTTP_GET_VARS['tx_fname'])){
			$query_field1=" and c.customers_firstname like '%" . tep_db_input($HTTP_GET_VARS['tx_fname']) . "%'";
			$search_heading.="First Name=" . $HTTP_GET_VARS['tx_fname'] . ", ";
		}
		if (tep_not_null($HTTP_GET_VARS['tx_lname'])){
			$query_field2= " and c.customers_lastname like '%" . tep_db_input($HTTP_GET_VARS['tx_lname']) . "%'";
			$search_heading="Last Name=" . $HTTP_GET_VARS['tx_lname'] . ", ";
		}
		if (tep_not_null($HTTP_GET_VARS['tx_code'])){
			$query_field3=" and o.customers_postcode='" . tep_db_input($HTTP_GET_VARS['tx_code']) . "'";
			$search_heading.="Post Code=" . $HTTP_GET_VARS['tx_code'] . ", ";
		}
		if (tep_not_null($HTTP_GET_VARS['tx_words'])){
			$query_field4=" and (c.customers_firstname like '%" . tep_db_input($HTTP_GET_VARS['tx_words']) . "%' or c.customers_lastname like '%" . tep_db_input($HTTP_GET_VARS['tx_words']) . "%' or c.customers_email_address like '%" . tep_db_input($HTTP_GET_VARS['tx_words']) . "%' or e.events_location like '%" . tep_db_input($HTTP_GET_VARS['tx_words']) . "%')";
			$search_heading.="Keywords=" . $HTTP_GET_VARS['tx_words'] . ", ";
		}
		if (tep_not_null($HTTP_GET_VARS['tx_from'])){
			$query_field5=" and os.start_date>='" . tep_db_input($HTTP_GET_VARS['tx_from']) . "'";
			$search_heading="Date From=" . format_date($HTTP_GET_VARS['tx_from']) . ", ";
		}

		if (tep_not_null($HTTP_GET_VARS['tx_until'])){
			$query_field6=" and os.end_date<='" . tep_db_input($HTTP_GET_VARS['tx_until']) . "'";
			$search_heading.="Date Until=" . format_date($HTTP_GET_VARS['tx_until']) . ", ";
		}
		if (tep_not_null($HTTP_GET_VARS['tx_resource'])){
			if($HTTP_GET_VARS['tx_resource']==-1){
				$query_field7=" and os.resource_id='0' ";
				//$search_heading.="Resource Name=" .tep_get_resource('resource_name',$HTTP_GET_VARS['tx_resource'],$languages_id) . ", ";
			}else{
				$query_field7=" and os.resource_id='" . tep_db_input($HTTP_GET_VARS['tx_resource']) . "'";
				$search_heading.="Resource Name=" .tep_get_resource('resource_name',$HTTP_GET_VARS['tx_resource'],$languages_id) . ", ";
			}
		}

		
		if (tep_not_null($HTTP_GET_VARS['tx_service'])){
			$query_field8=" and se.service_id='" . tep_db_input($HTTP_GET_VARS['tx_service']) . "'";
			$search_heading.="Service Name=" . tep_get_service_name($HTTP_GET_VARS['tx_service']) . ", ";
		}
		
		if ($HTTP_GET_VARS['tx_pending']=='Y'){
			$cDate="curdate()";
			$pending_option=" and (o.orders_status>1 or se.pending_period=0 or date_add(o.date_purchased,interval se.pending_period day)>=" . $cDate . ")";
			$search_heading.="Hide Pending Payments=Yes, ";
		}
     if ($search_heading!="") $search_heading=substr($search_heading,0,-2);
	
	/*if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $query_field12=" and e.events_instructor='" . $login_id ."' ";*/
	 
     if ($orders_id>0){
        $fields=",os.start_date,os.end_date as end_date, op.final_price as product_price,op.products_tax ";
        $query=" and o.orders_id='" . (int)$HTTP_GET_VARS['orders_id'] . "' and se.service_id='" . $HTTP_GET_VARS['service_id'] ."' order by os.start_date";
	} else {
        $fields=",os.start_date as start_date,count(os.start_date) as total_count,os.end_date as end_date,op.products_tax,sum(op.final_price) as product_price ";
		$query=$query_field1 . $query_field2 . $query_field3 . $query_field4 . $query_field5 . $query_field6 . $query_field7 . $query_field8 . $query_field9 . $query_field10 . $query_field11 . $query_field12 . ' group by o.orders_id,op.orders_products_id,se.service_id order by os.start_date';
	}
		
     $search_query="select o.orders_id,op.orders_products_id,op.products_id,o.customers_id,os.resource_id,c.customers_firstname,c.customers_lastname,o.customers_postcode,se.service_location,se.service_renewal_start,se.service_renewal_end,os.resource_name,sd.service_name,se.service_id,o.payment_method,o.orders_status,time_format(os.start_time,'%h:%i %p') as start_time,time_format(os.end_time,'%h:%i %p') as end_time" . $fields . " from " . 
                     TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c, " .  TABLE_ORDERS_SERVICES . " os, " . TABLE_SERVICES . " se, " . TABLE_SERVICES_DESCRIPTION . " sd " . 
		     " where op.products_type='V' and op.orders_id=os.orders_id and op.orders_products_id =os.orders_products_id " .
		     " and  op.orders_id=o.orders_id and c.customers_id=o.customers_id and op.products_id=os.products_id and os.products_id=se.service_id and sd.service_id=se.service_id and sd.language_id='" . $languages_id . "'" . $pending_option . $query;

     $result_query=tep_db_query($search_query);
     $cnt=tep_db_num_rows($result_query);
     $action="search";
	 // print some search headings
  }
  //ob_start();
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr>
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
	<tr>
		<td>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
			<tr>
				<td class="pageHeading" align="center" colspan="2"><?php echo  STORE_NAME;?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','10');?></td>
			</tr>
			<?php if ($search_heading!="") {?>
			<tr>
				<td class="tableHeading" width="120"><?php echo TEXT_SEARCH_NAME;?></td>
				<td class="main"><?php echo $search_heading ;?></td>
			</tr>
			<tr>
				<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif','1','10');?></td>
			</tr>
			<?php } ?>
			<tr>
				<td class="tableHeading" width="80"><?php echo TEXT_DATE; ?></td>
				<td class="main"><?php echo date(EVENTS_DATE_FORMAT);?></td>
			</tr>
		</table>
		</td>
	</tr>
	<?php if ($cnt>0) {?>
		<tr>
			<td valign="top">
			<table border="0" width='100%'cellspacing="1" cellpadding="1">
				<tr class='dataTableHeadingRow'>
					<td class='dataTableHeadingContent' align="center"><?php echo '*'; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_SNO; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_FIRSTNAME; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_LASTNAME; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_SERVICE; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_RESOURCE; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_STARTDATE ; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_ENDDATE ; ?></td>
					<td class='dataTableHeadingContent'><?php echo TEXT_RESULT_PAID; ?></td>
				</tr>
				<?php 
				$rows=0;$currow=0;
				$max_orders=array();
				$max_order_query=tep_db_query("SELECT os.end_date as end_date,customers_id from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " . TABLE_ORDERS_SERVICES . " os where op.orders_id=o.orders_id and op.products_id=os.products_id group by customers_id");
				while($max_order_result=tep_db_fetch_array($max_order_query)){
					$max_orders[$max_order_result["customers_id"]]=$max_order_result["end_date"];
				}
				while($result=tep_db_fetch_array($result_query)) { 
					$result['total_count']=(tep_not_null($result['total_count'])?$result['total_count']:1);
					$rows++;
					$currow++;
					if (strlen($rows) < 2) {
						$rows = '0' . $rows;
					}

					$payment_method=substr($result["payment_method"],0,2);
				
				$paid_text=sprintf("%s",$currencies->format(tep_add_tax($result["product_price"],$result["products_tax"])));
			   ?>
				<tr class='dataTableRow' height=20>
					<td class='dataTableContent' width="15"><?php echo tep_draw_checkbox_field('attendance','Y',false); ?></td>
					<td class='dataTableContent' width="40" align="right"><?php echo $rows ?></td>
					<td class='dataTableContent' width="80"><?php echo $result['customers_firstname']; ?></td>
					<td class='dataTableContent' width="80"><?php echo $result['customers_lastname']; ?></td>
					<td class='dataTableContent' width="100"><?php echo $result['service_name']; ?></td>
					<td class='dataTableContent' width="100"><?php if($result['resource_id']>0) echo $result['resource_name'];else echo '-'; ?></td>
					<td class='dataTableContent' width=120><?php echo format_date($result['start_date'],true) . ' '.$result['start_time']; ?></td>
					<td class='dataTableContent' width=120><?php echo format_date($result['end_date'],true) . ' ' . $result['end_time']; ?></td>
					<td align="left" width="100">
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td class='dataTableContent' align="right" width="10"><?php echo ($result["orders_status"]==1?"P":""); ?></td>
							<td class='dataTableContent' align="right" width="40">&nbsp;<?php echo $paid_text; ?></td>
							<td class='dataTableContent' align="left" width="10">&nbsp;<?php echo $payment_method; ?></td>
						</tr>
					</table>
					</td>
				</tr>
				<?php } ?>
	       </table>
		   </td>
		</tr> 
		<tr>
			<td><?php echo tep_draw_separator('pixel_trans.gif','1','10');?></td>
		</tr>
		<tr>
			<td class="main"><?php echo '* - Bookings';?></td>
		</tr>
		<tr>
			<td class="main"><?php echo '<a href="' . DIR_WS_CATALOG . 'images/bookings.pdf">Download PDF</a>'; ?>
			
			</td>
		</tr>
	   <?php } else { ?>
		<tr>
			<td align=left class='main' colspan=8><?php echo TEXT_NO_RESULTS ?></td>
		</tr>
	   <?php } ?>
	</table>
	</td>
</tr>
</table>
<!-- body_text_eof //-->
</body>
</html>
<?php 
	$check_dated=false;
	if ($cnt>0){
       require(FILENAME_SEARCH_BOOKING_PRINT_PDF);
    }
  require(DIR_WS_INCLUDES . 'application_bottom.php'); 
?>