<?php
/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/
  require('includes/application_top.php');
  define('FPDF_FONTPATH','font/');
  define(BOX_WIDTH1,'125');

	// get initial parameters, check the session for previous settings
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			$HTTP_SESSION_VARS["rep_params"]=$HTTP_POST_VARS;
			$HTTP_SESSION_VARS["rep_params"]["post_action"]="screen";
		} else {
			$HTTP_SESSION_VARS["rep_params"]=array();
		}
	}
	// get start date,end date, subscription 

	$date_begin = (isset($input_params["txt_date_begin"])?$input_params["txt_date_begin"]:'');
	$date_end = (isset($input_params["txt_date_end"])?$input_params["txt_date_end"]:'');
	$subscription=(isset($input_params["cbo_subscription"])?$input_params["cbo_subscription"]:-1);
	$post_action=(isset($input_params["post_action"])?$input_params["post_action"]:'');

	$post_paid_image=(isset($input_params["post_paid_image"])?$input_params["post_paid_image"]:DIR_FS_DOCUMENT_ROOT . "images/postage_paid.jpg");
	$logo_image=(isset($input_params["logo_image"])?$input_params["logo_image"]:DIR_FS_DOCUMENT_ROOT . 'images/logo.png');
	
	// Default $date_begin to current date
	if ($date_begin==""){
		$res = tep_db_query("SELECT curdate()");
		$row = mysql_fetch_array($res);
		$date_begin = $row[0];
	}
	// default $date_end to next week
	if ($date_end==""){
		$res = tep_db_query("SELECT date_add('" . $date_begin . "',INTERVAL 7 day)");	
		$row = mysql_fetch_array($res);
		$date_end = $row[0];
	}

	// create subscriptions array for selection
	$sql = "select su.subscription_id, sud.subscription_name from " . TABLE_SUBSCRIPTIONS . " su, " . TABLE_SUBSCRIPTIONS_DESCRIPTION .
			" sud where su.subscription_type='T' and su.subscription_id = sud.subscription_id and sud.language_id='" . (int)$languages_id . "' " . SUBSCRIPTION_CONDITION_STATUS . " order by subscription_name";

	$sql_result = tep_db_query($sql);
	$subscription_array[]=array("id"=>-1,"text"=>TEXT_ALL_SUBSCRIPTIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$subscription_array[]=array("id"=>$row["subscription_id"],"text"=>$row["subscription_name"]);
	}
	mysql_free_result($sql_result);

	//form the query	
	$found_results=false;
		$where = " ";
		$where_status = " ";
		$where.=" and o.date_purchased>='" . $date_begin . "'";
		$where.=" and o.date_purchased<='" . $date_end . "'";
		if($subscription!="-1") {
			$where.= " and su.subscription_id='".$subscription."' ";
		}
		// create the query for fetching registered subscribers
		$sql = "select op.products_name,su.subscription_packing_slip,o.customers_name,o.customers_street_address,o.customers_city,o.customers_postcode,o.customers_state,o.customers_country,o.delivery_street_address, " . 
				"o.delivery_city,o.delivery_postcode,o.delivery_state,o.delivery_country ,o.customers_suburb,o.delivery_suburb from " .
		TABLE_CUSTOMERS . " c, " . TABLE_ORDERS . " o, " . TABLE_SUBSCRIPTIONS . " su, " . TABLE_ORDERS_PRODUCTS . " op where su.subscription_id=op.products_id and op.orders_id=o.orders_id " 
		. " and o.customers_id=c.customers_id and op.products_type='S' and su.subscription_type='T'" . $where. " order by customers_name";

		$sql_temp=$sql;
		$sql_query=tep_db_query($sql);
		$upload_ws_dir = HTTP_SERVER . DIR_WS_TEMPLATES.DEFAULT_TEMPLATE .'/images';
		$i=0;
		
		// output to pdf file if needed
		$use_slip=true;		
		if (tep_db_num_rows($sql_query)>0) $found_results=true;
		if ($post_action=="pdf"){
			require('includes/fpdf.php');
			generate_pdf();
			tep_redirect(DIR_WS_CATALOG . "images/reports_packing_slip.pdf");
			return;
		}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="JavaScript">
	function doReport(mode) {
		if (mode==2){
			document.f.post_action.value="pdf";
			document.f.target="_blank";
		}
	   document.f.submit();
    }
	function doSubmit() {
		document.f.submit();
	}
	function showCustomerDetails(id){
		location.href="<?php echo tep_href_link(FILENAME_CUSTOMERS);?>"+"?action=edit&cID="+id+"&return=sud";
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
	<tr>
		<td width="<?php echo BOX_WIDTH; ?>" valign="top">
		<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
			<!-- left_navigation //-->
			<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
			<!-- left_navigation_eof //-->
		</table>
		</td>
		<!-- body_text //-->	  
		<td width=100% align=left valign="top">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr>
				<td class="pageHeading"><?php echo HEADING_SUBSCRIPTION_DETAILS;?></td>	
			<tr>
			<?php echo tep_draw_form("f",FILENAME_PACKING_SLIP); ?>
			<input type="hidden" name="post_action" value="screen"/>
			<!-- form -->
			<tr>
				<td>
				<table border="0" cellspacing="3" cellpadding="2" class="formArea" width="100%">
					<tr>
						<td>
						<table border="0" cellspacing="3" cellpadding="2">
					<tr>
						<td nowrap class="main">
							<?php echo TEXT_START_DATE;?>
						</td>
						<td class="main">
							<?php echo tep_draw_input_field("txt_date_begin",$date_begin,"size=10",false,'text',false); ?>
							<a href="javascript:show_calendar('f.txt_date_begin');"
							onmouseover="window.status='Date Picker';return true;"
							onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
							</a>
						</td>
					</tr>
					<tr>
						<td nowrap class="main">
							<?php echo TEXT_END_DATE;?>
						</td>
						<td class="main">
						<?php
							echo tep_draw_input_field("txt_date_end",$date_end,"size=10",false,'text',false);
						?>
						<a href="javascript:show_calendar('f.txt_date_end');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
						</td>
					</tr>
					<tr>
						<td class="main">
							<?php echo TEXT_SUBSCRIPTION;
							?>
						</td>
						<td class="main">
							<?php
								echo tep_draw_pull_down_menu("cbo_subscription",$subscription_array)							
							?>
						</td>
					</tr>
					<tr>
						<td class="main" nowrap="true">
							<?php echo 	TEXT_LOGO_IMAGE;
										
							?>
						</td>
						<td class="main">
							<?php echo tep_draw_input_field("logo_image",DIR_WS_ADMIN . DIR_WS_IMAGES . "osCommRes_logo.png",'size=80');?>
						</td>
					</tr>
					<tr>
						<td class="main" nowrap="true">
							<?php echo TEXT_POSTAGE_PAID_IMAGE;
							?>
						</td>
						<td class="main">
						<?php echo tep_draw_input_field("post_paid_image",DIR_WS_ADMIN . DIR_WS_IMAGES . "post_paid.jpg",'size=80');?>
						</td>
					</tr>
					<tr>
						<td>
							<?php echo '<a href="javascript:doReport(2);">' . tep_image_button('button_export_pdf.gif', IMG_EXPORT_PDF) . '</a>';?>
						</td>
					</tr>
					<!-- report content -->
					</table>
					</td>
					</tr>
				</table>
				</td>
			</tr>
			</form>
			<tr>
				<td><?php echo tep_draw_separator('pixel_trans.gif',1,10);?></td>
			</tr>
<?php 
				$i=0;
				if ($i==1 && $found_results){
				?>
					<tr>
						<td>
						<table border="0" width="100%" cellspacing="1" cellpadding="1">
							<?php $replace_array=array();
								while($result=tep_db_fetch_array($sql_query))
									{
										$replace_array=array(
											TEXT_SUB_CF=>$result['customers_name'],
											TEXT_SUB_DA=>$result['customers_street_address'] .'<br>' . ($result['customers_suburb']!=""?$result['customers_suburb'] . '<br>':'') . $result['customers_city'] .  ', ' . $result['customers_postcode'] . '<br>' . $result['customers_state'] . ', ' . $result['customers_country'],
											TEXT_SUB_UN=>$result['customers_name'] . '<br>' . $result['delivery_street_address'] . '<br>' . ($result['delivery_suburb']!=""?$result['delivery_suburb'] . '<br>':'') . $result['delivery_city'] .  ', ' . $result['delivery_postcode'] . '<br>' . $result['delivery_state'] . ', ' . $result['delivery_country'],
											TEXT_SUB_LO=>tep_image($upload_ws_dir. '/logo.png ',STORE_NAME)  . '<br>' ,
											TEXT_SUB_FO=>tep_image($upload_ws_dir. '/logo.png ',STORE_NAME)
										);
									reset($replace_array);
									$mail_content=str_replace("\n","<br>",$result['subscription_packing_slip']);
							       while (list($key, $value) = each($replace_array))
								    {
								    	$mail_content=eregi_replace("%%" . $key  . "%%",$value,$mail_content);
									}?>
							<tr>
								<td class="main">
									<?php  echo $mail_content;?>
							    </td>
							</tr>
							<?php } ?>
					  </table>
				</TD>
			</tr>
			<?php	} // if $found_results
			?>
	</table>
	</td>
</tr>
</table>	
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 
// function to create pdf content
	function generate_pdf(){
		global $sql_query,$found_results,$upload_ws_dir,$post_paid_image,$logo_image,$use_slip;
		$output_content="";
		$replace_array=array();
		
		// set page setup to a4 landscape
		$pdf=new FPDF("L","mm","A4");
		
		// get sender address
		$address=split("\n",TEXT_SENDER . "\n" . STORE_NAME_ADDRESS);
		$pdf->SetTextColor(0,0,0);
		$unit=72/25.4;
		$page_width=841.89/$unit;
		$page_height=595.28/$unit;
		$pdf->SetDrawColor(0,0,0);

		if (file_exists($logo_image)){
			$info_logo=getimagesize($logo_image);
			$info_logo[0]=$info_logo[0]/$unit;
			$info_logo[1]=$info_logo[1]/$unit;
		}

		if ($found_results){
			while($result=tep_db_fetch_array($sql_query))
			{
				$pdf->AddPage();
				$pos=8;
	
				//print image
				if (isset($info_logo)){
					$pdf->Image($logo_image,30,$pos);
					$pos+=$info_logo[1]+5;
				}

				// print the address
				for($icnt=0;$icnt<count($address);$icnt++){
					if ($icnt==0){
						$pdf->SetFont('Arial','B',12);
					} else {
						$pdf->SetFont('Arial','',12);
					}
					$pdf->Text(30,$pos,$address[$icnt]);
					$pos+=5;
				}

				// print shipping_address
				if ($use_slip && $result["subscription_packing_slip"]!=""){
					// if need to use subscription_packing_slip details
					if ($result["delivery_name"]!=""){
						$replace_array=array(	DELI_NA=>$result["delivery_name"],
											DELI_CT=>$result["delivery_street_address"],
											DELI_CC=>$result["delivery_city"],
											DELI_CE=>$result["delivery_state"],
											DELI_CP=>$result["delivery_postcode"],
											DELI_CU=>$result["delivery_country"],
												);
					} else {
						$replace_array=array(	DELI_NA=>$result["customers_name"],
											DELI_CT=>$result["customers_street_address"],
											DELI_CC=>$result["customers_city"],
											DELI_CE=>$result["customers_state"],
											DELI_CP=>$result["customers_postcode"],
											DELI_CU=>$result["customers_country"],
											);
					}
					$mes_content=$result["subscription_packing_slip"];
					// replace the merge details
					while (list($key, $value) = each($replace_array))
						$mes_content=eregi_replace("%%" . $key  . "%%",$value . "",$mes_content);
					$shipping_address=split("\n",$mes_content);
				} else {
					if ($result["delivery_name"]!=""){
						$shipping_address=array(	$result["delivery_name"],$result["delivery_street_address"],
													$result["delivery_city"],
													$result["delivery_state"] . " " . $result["delivery_postcode"],
													$result["delivery_country"]
												);
					} else {
						$shipping_address=array(	$result["customers_name"],$result["customers_street_address"],
													$result["customers_city"],
													$result["customers_state"] . " " . $result["customers_postcode"],
													$result["customers_country"]
												);
					}
				}
				$temp_width=0;
				$shipping_width=0;
				$shipping_height=0;
				// calculate width and height to print
				for($icnt=0;$icnt<count($shipping_address);$icnt++){
					$temp_width=$pdf->GetStringWidth($shipping_address[$icnt]);
					if ($temp_width>$shipping_width) $shipping_width=$temp_width;
					$shipping_height+=6;
				}
				$box_width=$shipping_width+50;
				$box_height=$shipping_height+30;
				$box_left=($page_width-$box_width)/2;
				$box_top=($page_height-$box_height)/2;
	
	
				
				$pdf->Rect($box_left,$box_top,$box_width,$box_height);
				$pos=$box_top+(($box_height-$shipping_height)/2)+6;
				$pdf->SetFont('Arial','B',14);
				for($icnt=0;$icnt<count($shipping_address);$icnt++){
					$pdf->Text($box_left+13,$pos,$shipping_address[$icnt]);
					$pos+=6;
				}
				
				if (file_exists($post_paid_image)){
					$pdf->Image($post_paid_image,$page_width-60,8,50);
				}
			}
		} else {
			$pdf->AddPage();
			$pdf->SetFont('Arial','B',12);
			$pdf->Text(15,30,TEXT_NO_DETAILS);
		}
		$pdf->output(DIR_FS_CATALOG . "images/reports_packing_slip.pdf");
	}
	// function to create excel data
?>


