<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

  class order {
    var $info, $totals, $products, $customer, $delivery;
    
    function order($order_id,$retrieve_temp=false) {
      $this->info = array();
      $this->totals = array();
      $this->products = array();
      $this->customer = array();
      $this->delivery = array();

      $this->query($order_id,$retrieve_temp);
    }

    function query($order_id,$retrieve_temp=false) {
	global $products_ordered, $currencies,$ordered_product, $order_totals_str;
	$ordered_product="";
      $order_query = tep_db_query("select o.customers_id,o.customers_name, o.customers_company, o.customers_street_address, o.customers_suburb, o.customers_city, o.customers_postcode, o.customers_state, o.customers_country, o.customers_telephone, o.customers_email_address, o.customers_second_email_address,o.customers_second_telephone,o.customers_fax,
                                   o.customers_address_format_id, o.delivery_name, o.delivery_company, o.delivery_street_address, o.delivery_suburb, o.delivery_city, o.delivery_postcode, o.delivery_state, o.delivery_country, o.delivery_address_format_id, o.billing_name, o.billing_company, o.billing_street_address, o.billing_suburb, o.billing_city, o.billing_postcode, o.billing_state, o.billing_country, o.billing_address_format_id, o.payment_method, o.payment_info,o.cc_type, o.cc_owner, o.cc_number, o.cc_expires, o.cc_cvv_number,o.currency, o.currency_value, o.date_purchased, o.orders_status, o.last_modified, o.payment_return1, o.payment_return2, o.reference_id, c.customers_firstname, c.customers_lastname from " . TABLE_ORDERS . " o, " . TABLE_CUSTOMERS . " c where o.orders_id = '" . (int)$order_id . "' and o.customers_id=c.customers_id");
      $order = tep_db_fetch_array($order_query);
	   
	   $totals_query = tep_db_query("select title, text,class from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$order_id . "' order by sort_order");
      while ($totals = tep_db_fetch_array($totals_query)) {
        $this->totals[] = array('title' => $totals['title'],
								'class'=>$totals['class'],
                                'text' => $totals['text']);
						
      }
	  	$order_total_query = tep_db_query("select text from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$order_id . "' and class = 'ot_total'");
      $order_total = tep_db_fetch_array($order_total_query);
	  	$order_tax_query = tep_db_query("select text from " . TABLE_ORDERS_TOTAL . " where orders_id = '" . (int)$order_id . "' and class = 'ot_tax'");
      $order_tax = tep_db_fetch_array($order_tax_query);
		// get the comments
		$comments_query=tep_db_query("SELECT comments from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id='" . (int)$order_id . "' order by date_added desc limit 1");
		$comments="";
		$comments_result=tep_db_fetch_array($comments_query);
		$comments=$comments_result["comments"];
		
      $this->info = array('currency' => $order['currency'],
                          'currency_value' => $order['currency_value'],
                          'payment_method' => $order['payment_method'],
						  'payment_info'=>$order['payment_info'],
                          'cc_type' => $order['cc_type'],
                          'cc_owner' => $order['cc_owner'],
                          'cc_number' => $order['cc_number'],
                          'cc_expires' => $order['cc_expires'],
			  			  'cc_cvv_number'=> $order['cc_cvv_number'],
  						  'status_id'=>$order['orders_status'],
						  'comments'=>$comments,
						  'payment_return1' => $order['payment_return1'],
						  'payment_return2' => $order['payment_return2'],
						  'reference_id' => $order['reference_id'],
                          'date_purchased' => $order['date_purchased'],
						  'total'=>strip_tags($order_total['text']),
						  'orders_status' => $order['orders_status'],
                          'last_modified' => $order['last_modified']);

      $this->customer = array('id'=> $order['customers_id'],
	  						  'firstname'=>$order['customers_firstname'],
							  'lastname'=>$order['customers_lastname'],
                              'name' => $order['customers_name'],
                              'company' => $order['customers_company'],
                              'street_address' => $order['customers_street_address'],
                              'suburb' => $order['customers_suburb'],
                              'city' => $order['customers_city'],
                              'postcode' => $order['customers_postcode'],
                              'state' => $order['customers_state'],
                              'country' => $order['customers_country'],
                              'format_id' => $order['customers_address_format_id'],
                              'telephone' => $order['customers_telephone'],
			    			  'second_telephone'=>$order['customers_second_telephone'],
			   			      'second_email_address'=>$order['customers_second_email_address'],
			   			      'fax'=>$order['customers_fax'],
                              'email_address' => $order['customers_email_address']);

      $this->delivery = array('name' => $order['delivery_name'],
                              'company' => $order['delivery_company'],
                              'street_address' => $order['delivery_street_address'],
                              'suburb' => $order['delivery_suburb'],
                              'city' => $order['delivery_city'],
                              'postcode' => $order['delivery_postcode'],
                              'state' => $order['delivery_state'],
                              'country' => $order['delivery_country'],
                              'format_id' => $order['delivery_address_format_id']);

      $this->billing = array('name' => $order['billing_name'],
                             'company' => $order['billing_company'],
                             'street_address' => $order['billing_street_address'],
                             'suburb' => $order['billing_suburb'],
                             'city' => $order['billing_city'],
                             'postcode' => $order['billing_postcode'],
                             'state' => $order['billing_state'],
                             'country' => $order['billing_country'],
                             'format_id' => $order['billing_address_format_id']);
							 
							
      $index = 0;
	  $pcnt=0;
	 if(!$retrieve_temp)
	      $orders_products_query = tep_db_query("select orders_products_id, products_id, products_name, products_model, products_price, products_tax, products_quantity, final_price,products_type,events_type,ot.value,products_sku from " . TABLE_ORDERS_PRODUCTS . " op," . TABLE_ORDERS_TOTAL . " ot where op.orders_id=ot.orders_id and ot.class='ot_shipping' and op.orders_id = '" . (int)$order_id . "' order by op.products_type,op.products_name,op.products_model");
	 else
	      $orders_products_query = tep_db_query("select orders_products_id, products_id, products_name, products_model, products_price, products_tax, products_quantity, final_price,products_type,events_type,products_sku from " . TABLE_ORDERS_EDIT_PRODUCTS . " where orders_id = '" . (int)$order_id . "' order by products_type,products_name,products_model");
	  	$products_ordered = '<table border="0" cellpadding="0" cellspacing="0" width="100%">';
		$products_ordered.= '<tr class="textTableSubHead" height="21"><td width="5">&nbsp;' . TEXT_QUANTITY .'</td><td colspan="2">'.TEXT_PRODUCTS_NAME.'</td><td>Options</td><Td>SKU</td><td align="center" width="100">Total</td></tr>';
		  while ($orders_products = tep_db_fetch_array($orders_products_query)) {
		  if(!$retrieve_temp)
			$this->products[$index] = array('id'=>$orders_products['products_id'],
											'orders_products_id'=>$orders_products['orders_products_id'],
											'qty' => $orders_products['products_quantity'],
											'name' => $orders_products['products_name'],
											'model' => $orders_products['products_model'],
											'tax' => $orders_products['products_tax'],
											'price' => $orders_products['products_price'],
											'final_price' => $orders_products['final_price'],
											'products_type'=>$orders_products['products_type'],
											'products_type'=>$orders_products['products_type'],
											'events_type'=>$orders_products['events_type'],
											'shipping_value'=>$orders_products['value'],
											'sku'=>$orders_products['products_sku']
											);
		 else
			$this->products[$index] = array('id'=>$orders_products['products_id'],
											'orders_products_id'=>$orders_products['orders_products_id'],
											'qty' => $orders_products['products_quantity'],
											'name' => $orders_products['products_name'],
											'model' => $orders_products['products_model'],
											'tax' => $orders_products['products_tax'],
											'price' => $orders_products['products_price'],
											'final_price' => $orders_products['final_price'],
											'products_type'=>$orders_products['products_type'],
											'products_type'=>$orders_products['products_type'],
											'events_type'=>$orders_products['events_type'],
											'sku'=>$orders_products['products_sku']
											);
	
			$subindex = 0;
			$products_ordered_attributes="";
		 if(!$retrieve_temp)
				$attributes_query = tep_db_query("select products_options, products_options_values, options_values_price, price_prefix from " . TABLE_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$order_id . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "'");
		  else
				$attributes_query = tep_db_query("select products_options, products_options_values, options_values_price, price_prefix from " . TABLE_ORDERS_EDIT_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$order_id . "' and orders_products_id = '" . (int)$orders_products['orders_products_id'] . "'");
			if (tep_db_num_rows($attributes_query)) {
			  while ($attributes = tep_db_fetch_array($attributes_query)) {
				$this->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options'],
																		 'value' => $attributes['products_options_values'],
																		 'prefix' => $attributes['price_prefix'],
																		 'price' => $attributes['options_values_price']);
				$products_ordered_attributes .= "\n\t" . $attributes['products_options'] . ': ' . $attributes['products_options_values']." ". $currencies->format($attributes['options_values_price'])."<br>";
				$subindex++;
			  }
			}
			else 
				$products_ordered_attributes="-";
		
			if($this->products[$index]['products_type']=='P'){
				$product_query=tep_db_query("select products_image_1 from ".TABLE_PRODUCTS." where products_id='".$this->products[$index]["id"]."'");
				$product_result=tep_db_fetch_array($product_query);
				$products_ordered .= '<tr height="56"><td valign="top" width="60" class="textMain">&nbsp;'.$this->products[$index]['qty'].' x </td>' .'</td><td width="75" valign="top" class="textMain">'.tep_product_email_image($product_result["products_image_1"],$this->products[$index]['name'],'style="width:50px;height:50px"').'</td><td valign="top" class="textMain">&nbsp;&nbsp;'.$this->products[$index]['name'] . ($this->products[$index]['model']!=""?' (' . $this->products[$index]['model'] . ')':'').
								'<td valign="top" class="textMain">'. $products_ordered_attributes.'</td><td class="textMain" valign="top"><small>' . $this->products[$index]['sku'] . '</small></td><td valign="top" align="right" class="textMain">'.$currencies->display_price($this->products[$index]['final_price'], $this->products[$index]['tax'], $this->products[$index]['qty'],true).'&nbsp;</td></tr>' .
								'<tr><td colspan="6" height="1" class="textBorder">' . tep_draw_separator('pixel_trans.gif',10,1) . '</td</tr>';
										
			}
			// service
				// for displaying resource name
			//$services_ordered_resources="";
			$res_index=0;
			if($this->products[$index]['products_type']=='V') {
				$resource_query=tep_db_query("Select date_format(start_date,'%Y-%m-%d') as start_date, date_format(end_date,'%Y-%m-%d') as end_date, time_format(start_time,'%I:%i %p') as start_time,time_format(end_time,'%I:%i %p') as end_time, resource_name from " . TABLE_ORDERS_SERVICES . " where orders_products_id='" . (int)$orders_products['orders_products_id'] . "' ");
				if(tep_db_num_rows($resource_query)>0)
				{
				 while($resource_result=tep_db_fetch_array($resource_query)) {
						$this->products[$index]['resources'][$res_index]= array('start_date' => $resource_result['start_date'] ,
													'start_time' =>$resource_result['start_time'] ,
													'end_date' => $resource_result['end_date'] ,
													'end_time' =>$resource_result['end_time'] ,
													'resource_name' => $resource_result['resource_name']
													);
					$res_index++;
					}
					
				}
			}
			//service
			if ( $this->products[$index]['products_type']=='S'){
			  $products_ordered .= $this->products[$index]['qty'] . ' x ' . $this->products[$index]['name'] . ' (' . $this->products[$index]['model'] . ') = ' . $currencies->display_price($this->products[$index]['final_price'], $this->products[$index]['tax'], $this->products[$index]['qty']) . $products_ordered_attributes . "\n";
			}
	
			$index++;
			$pcnt++;
		  }
	  $products_ordered.="</table>";
	 
	}
  }
?>
