<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require(DIR_WS_FUNCTIONS . 'events_sessions.php');
  require(DIR_WS_CLASSES . 'currencies.php');
  
  $currencies = new currencies();
  
  // get input entries to find type of entry
  $param_event_id=(int)$HTTP_GET_VARS['eID'];
  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');
  $session_type=tep_get_session_type($param_event_id);
  $session_id=(int)$HTTP_GET_VARS['sID'];
    
  if (tep_not_null($action)) {
    switch ($action) {
      // delete session after deletion
      case 'delete_session_confirm':
        $delete_id=(int)$HTTP_POST_VARS['sessions_id'];
        if ($delete_id!=0) {
		    if ($session_type=='R'){
		       tep_delete_recursive_session($delete_id);
	    	   tep_delete_multiple_sessions($delete_id);
		    } else {
               tep_delete_single_session($delete_id);	    
	        }
			tep_set_event_limit_dates($param_event_id);
		}	
			if (USE_CACHE == 'true') {
				tep_reset_cache_block('events_sessions');
				tep_reset_cache_block('events_recursive_sessions');
				tep_reset_cache_block('events');
			}

        	tep_redirect(tep_href_link(FILENAME_SESSIONS, tep_all_get_params(array('ecPath','eID'))));
        	break;
      //insert or edit a session	
      case 'insert_session':
      case 'update_session':
		if (isset($HTTP_POST_VARS['edit_x']) || isset($HTTP_POST_VARS['edit_y'])) {
			$action = 'new_session';
		} else {
			$select_event_id=(isset($HTTP_POST_VARS['event_selected'])) ? (int)tep_db_prepare_input($HTTP_POST_VARS['event_selected']):$param_event_id;
			
			$select_session_type=tep_db_prepare_input($HTTP_POST_VARS['select_session_type']);
			
			$sessions_start_date = tep_convert_date_raw(tep_db_prepare_input($HTTP_POST_VARS['sessions_start_date']));
	  		//if session is recursive
			if ($select_session_type=='R') {
				$sessions_end_date = tep_db_prepare_input($HTTP_POST_VARS['sessions_end_date']);
				if ($HTTP_POST_VARS['sessions_type_option']=='WW'){
					$weekdays=array('1'=>'0','2'=>'0','3'=>'0','4'=>'0','5'=>'0','6'=>'0','7'=>'0');
					$weekselected=$HTTP_POST_VARS['sessions_type_weekly_days'];
					for($i=0,$n=sizeof($weekselected);$i<$n;$i++){
						$weekdays[$weekselected[$i]]='1';
					}
					$weekstring=implode('',$weekdays);
					$insert_array=array('sessions_type_weekly_weeks'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_weekly_weeks']),
										'sessions_type_weekly_days'=>$weekstring);
				}
				//$sessions_start_date=tep_convert_date_raw($sessions_start_date);
				$sessions_end_date=tep_convert_date_raw($sessions_end_date);
				if ($sessions_start_date=='' || $sessions_end_date==''){
					$insert_error=TEXT_ERR_EMPTY_DATES;
					$action='new_session';
					break;
				}
				if ($sessions_start_date>$sessions_end_date){
					$insert_error=TEXT_ERR_DATE_INVERT;
					$action='new_session';
					break;
				}
				if (tep_check_dates_collide($sessions_start_date,$sessions_end_date,$session_id,$select_event_id)){
					$insert_error=TEXT_ERR_DATES_COLLIDE;
					$action='new_session';
					break;
				}
				$sql_data_array = array('events_id' => $select_event_id,
										'sessions_type'=> 'R',
										'sessions_start_date' => $sessions_start_date,
										'sessions_end_date' => $sessions_end_date,
										'sessions_type_option' => tep_db_prepare_input($HTTP_POST_VARS['sessions_type_option'])
										);
		  
				if ($HTTP_POST_VARS['sessions_type_option']=='DD') {
					$insert_array=array('sessions_type_daily_days'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_daily_days']));
				} elseif ($HTTP_POST_VARS['sessions_type_option']=='MD') {
					$insert_array=array('sessions_type_monthly_days'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_monthly_days']),
										'sessions_type_monthly_months'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_monthly_months']));
				} elseif ($HTTP_POST_VARS['sessions_type_option']=='MM') {
					$insert_array=array('sessions_type_monthly_weeks'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_monthly_weeks']),
										'sessions_type_monthly_weekdays'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_monthly_weekdays']),
										'sessions_type_monthly_weekmonths'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_monthly_weekmonths']));
				} elseif ($HTTP_POST_VARS['sessions_type_option']=='YM') {
					$insert_array=array('sessions_type_yearly_months'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_yearly_months']),
										'sessions_type_yearly_monthdays'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_yearly_monthdays']));
				} elseif ($HTTP_POST_VARS['sessions_type_option']=='YY') {
					$insert_array=array('sessions_type_yearly_weeks'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_yearly_weeks']),
										'sessions_type_yearly_weekdays'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_yearly_weekdays']),
										'sessions_type_yearly_weekmonths'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_type_yearly_weekmonths']));
				}
				$sql_data_array = array_merge($sql_data_array, $insert_array);
				  
				if ($action=='update_session')
					$insert_error=tep_change_event_valid($select_event_id,$param_event_id);

				if ($insert_error!=''){ 
					$action='new_session';
					break;
				}
		  
				if ($action == 'update_session')
					tep_delete_multiple_sessions($session_id);

	      
				if ($action == 'insert_session') {
				
					tep_db_perform(TABLE_RECURSIVE_SESSIONS, $sql_data_array);
					$session_id=tep_db_insert_id();
				} elseif ($action == 'update_session') {
					tep_db_perform(TABLE_RECURSIVE_SESSIONS, $sql_data_array, 'update', "recursive_sessions_id = '" . $session_id . "'");
				}
					  
				$HTTP_POST_VARS['sessions_start_date']=tep_convert_date_raw($HTTP_POST_VARS['sessions_start_date']);
				$HTTP_POST_VARS['sessions_end_date']=tep_convert_date_raw($HTTP_POST_VARS['sessions_end_date']);
				$sInfo=new objectInfo($HTTP_POST_VARS);
				$sInfo->sessions_type_weekly_days=$weekstring;
				$result_dates=get_dates_array($sInfo,$HTTP_POST_VARS['sessions_type_option']);

				for($icnt=0;$icnt<sizeof($result_dates);$icnt++){
					$sql_data_array = array('events_id' => $select_event_id,
											'recursive_sessions_id'=>$session_id,
											'start_date' => $result_dates[$icnt],
											'sessions_type' => 'R');
					tep_add_multiple_session($sql_data_array);
				}	
				$sql_data_array=array(	'sessions_date_count'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_date_count']),
										'sessions_select_interval'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_select_interval']),
										'sessions_select_count'=>tep_db_prepare_input($HTTP_POST_VARS['sessions_select_count'])
									);
				tep_db_perform(TABLE_EVENTS,$sql_data_array,'update',"events_id='" . (int)$select_event_id . "'");
			} else {
				if ($sessions_start_date==''){
					$insert_error=TEXT_ERR_START_DATE;
					$action='new_session';
					break;
				}
				$sql_data_array = array('events_id' => $select_event_id,
										'start_date' => $sessions_start_date,
										'sessions_type' => 'S');
				$insert_error=tep_change_event_valid($select_event_id,$param_event_id);
				if ($insert_error!=''){
					$action='new_session';
					break;
				}
				if ($action == 'insert_session') {
				//print_r($sql_data_array);
					tep_add_single_session($sql_data_array);
				} else if ($action == 'update_session') {
					tep_db_perform(TABLE_EVENTS_SESSIONS, $sql_data_array, 'update', "sessions_id = '" . $session_id . "'");
				}
	     }
		if ($insert_error==''){
			tep_set_event_limit_dates($param_event_id);
			if (USE_CACHE == 'true') {
				tep_reset_cache_block('events_sessions');
				tep_reset_cache_block('events_recursive_sessions');
				tep_reset_cache_block('events');
			}
			if ($ecPath!='')
				tep_redirect(tep_href_link(FILENAME_SESSIONS,'ecPath=' . $ecPath . ($select_event_id!=0?'&eID=' . $select_event_id:'&eID=' . $param_event_id) . '&sID=' . $session_id));
			else
				tep_redirect(tep_href_link(FILENAME_EVENTS_CATEGORIES));
		}
	}
    break;
      case 'new_session_preview':
// copy image only if modified
        $sessions_image = new upload('sessions_image');
        $sessions_image->set_destination(DIR_FS_CATALOG_IMAGES);
        if ($sessions_image->parse() && $sessions_image->save()) {
          $sessions_image_name = $sessions_image->filename;
        } else {
          $sessions_image_name = (isset($HTTP_POST_VARS['sessions_previous_image']) ? $HTTP_POST_VARS['sessions_previous_image'] : '');
        }
        break;
    }
  }

// check if the catalog image directory exists
  if (is_dir(DIR_FS_CATALOG_IMAGES)) {
    if (!is_writeable(DIR_FS_CATALOG_IMAGES)) $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE, 'error');
  } else {
    $messageStack->add(ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST, 'error');
  }
?>
<?php
$go_back_to=$REQUEST_URI;
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<script language="Javascript1.2"><!-- // load htmlarea
// MaxiDVD Added WYSIWYG HTML Area Box + Admin Function v1.7 - 2.2 MS2 sessions Description HTML - Head
	  _base_url="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG;?>";
        _editor_url = "<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_ADMIN; ?>htmlarea/";  // URL to htmlarea files
          var win_ie_ver = parseFloat(navigator.appVersion.split("MSIE")[1]);
           if (navigator.userAgent.indexOf('Mac')        >= 0) { win_ie_ver = 0; }
            if (navigator.userAgent.indexOf('Windows CE') >= 0) { win_ie_ver = 0; }
             if (navigator.userAgent.indexOf('Opera')      >= 0) { win_ie_ver = 0; }
         <?php if (HTML_AREA_WYSIWYG_BASIC_PD == 'Basic'){ ?>  if (win_ie_ver >= 5.5) {
         document.write('<scr' + 'ipt src="' +_editor_url+ 'editor_basic.js"');
         document.write(' language="Javascript1.2"></scr' + 'ipt>');
            } else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
         <?php } else{ ?> if (win_ie_ver >= 5.5) {
         document.write('<scr' + 'ipt src="' +_editor_url+ 'editor_advanced.js"');
         document.write(' language="Javascript1.2"></scr' + 'ipt>');
            } else { document.write('<scr'+'ipt>function editor_generate() { return false; }</scr'+'ipt>'); }
         <?php }?>
// --></script>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="javascript">
  function ValidateForm(){
     var session_option;
     var submit_result;
     var error_result;
     var icnt;
     error_result="";
     var session_type;
   while(true){
     if (document.new_session.event_selected.selectedIndex<0){
        error_result="<?php echo tep_db_input(TEXT_ERR_SELECT_EVENT); ?>";
	break;}
     if (document.new_session.session_type_count.value==1){
         if (document.new_session.select_session_type.checked==false){
	         error_result="<?php echo tep_db_input(TEXT_ERR_NO_TYPE_OPTION); ?>";
                 break;}
	session_type=document.new_session.select_session_type.value;
      }else{
         if (document.new_session.select_session_type[0].checked==false && document.new_session.select_session_type[1].checked==false){
            error_result="<?php echo tep_db_input(TEXT_ERR_NO_TYPE_OPTION); ?>";
            break;	
         }
	 if (document.new_session.select_session_type[0].checked==true)
	    session_type=document.new_session.select_session_type[0].value;
	 else
	    session_type=document.new_session.select_session_type[1].value;
     }

     if (session_type!="R") break;

         if (isNaN(parseInt(document.new_session.sessions_date_count.value))==true){
	    error_result="<?php echo tep_db_input(TEXT_ERR_DATE_COUNT); ?>";break;}
         if (parseInt(document.new_session.sessions_date_count.value)<=0){
 	    error_result="<?php echo tep_db_input(TEXT_ERR_DATE_COUNT_VALUE); ?>";break;}
	    
         if (isNaN(parseInt(document.new_session.sessions_select_interval.value))==true){
	    error_result="<?php echo tep_db_input(TEXT_ERR_SELECT_INTERVAL); ?>";break;}
         if (parseInt(document.new_session.sessions_select_interval.value)<=0){
 	    error_result="<?php echo tep_db_input(TEXT_ERR_SELECT_INTERVAL_VALUE); ?>";break;}


         if (isNaN(parseInt(document.new_session.sessions_select_count.value))==true){
	    error_result="<?php echo tep_db_input(TEXT_ERR_SELECT_COUNT); ?>";break;}
         if (parseInt(document.new_session.sessions_select_count.value)<=0){
 	    error_result="<?php echo tep_db_input(TEXT_ERR_SELECT_COUNT_VALUE); ?>";break;}


	 for(icnt=0;icnt<document.new_session.sessions_type_option.length;icnt++){
	    if (document.new_session.sessions_type_option[icnt].checked==true){
	     session_option=document.new_session.sessions_type_option[icnt].value;
	     break;}}
	 if (session_option==""){
	    error_result="<?php echo tep_db_input(TEXT_ERR_NO_RECURSIVE_OPTION); ?>";
	    break;}
	 if (session_option=="DD"){
	    if (isNaN(parseInt(document.new_session.sessions_type_daily_days.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_DAILY_DAYS); ?>";break;}
	 }
	 if (session_option=="WW"){
	    if (isNaN(parseInt(document.new_session.sessions_type_weekly_weeks.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_WEEKLY_WEEKS); ?>";break;}
	    for(icnt=0;icnt<document.new_session.sessions_type_weekly_days_check.length;icnt++){
	       if (document.new_session.sessions_type_weekly_days_check[icnt].checked==true) break;
	    }
	    if (icnt>=document.new_session.sessions_type_weekly_days_check.length)
	       error_result="<?php echo tep_db_input(TEXT_ERR_WEEKLY_DAYS); ?>";
	       break;
	 }
	 if (session_option=="MD"){
	    if (isNaN(parseInt(document.new_session.sessions_type_monthly_days.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_MONTHLY_DAYS); ?>";break;}
	    if (isNaN(parseInt(document.new_session.sessions_type_monthly_months.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_MONTHLY_MONTHS); ?>";break;}
	 }
	 if (session_option=="MM"){
	    if (isNaN(parseInt(document.new_session.sessions_type_monthly_weekmonths.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_MONTHLY_WEEKMONTHS); ?>";break;}
         }
	 if (session_option=="YM"){
	    if (isNaN(parseInt(document.new_session.sessions_type_yearly_monthdays.value))==true){
	      error_result="<?php echo tep_db_input(TEXT_ERR_YEARLY_MONTHDAYS); ?>";break;}
         }
    break;
    }
     if (error_result!=""){
        alert(error_result);
        return false;
     }
     return true;
  }
</script>

<?php
	// WebMakers.com Added: Java Scripts
	include(DIR_WS_INCLUDES . 'javascript/' . 'webmakers_added_js.php')
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="SetFocus();">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
	<table border="0" width="100%" cellspacing="2" cellpadding="2">
  	<tr>
    	<td width="<?php echo BOX_WIDTH; ?>" valign="top">
			<table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
				<!-- left_navigation //-->
				<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
				<!-- left_navigation_eof //-->
	    	</table>
    	</td>
		<!-- body_text //-->
    	<td width="100%" valign="top">
		<?php   
		
		if ($action == 'new_session') {
			$parameters = array('sessions_start_date' =>format_date(getServerDate()),
								'sessions_end_date' => format_date(getServerDate()),
								'event_id'=> '',
								'recursive_sessions_id' => '',
								'sessions_type_option' => 'DD',
								'sessions_type_daily_days' => '1',
								'sessions_type_weekly_weeks' => '1',
								'sessions_type_monthly_days' => '1',
								'sessions_type_monthly_months' => '1',
								'sessions_type_monthly_weeks' => '1',
								'sessions_type_monthly_weekdays' => '1',
								'sessions_type_monthly_weekmonths' => '1',
								'sessions_type_yearly_months' => '1',
								'sessions_type_yearly_monthdays' => '1',
								'sessions_type_yearly_weeks' => '1',
								'sessions_type_yearly_weekdays' => '1',
								'sessions_type_yearly_weekmonths' => '1',
								'sessions_date_count'=>'1',
								'sessions_select_interval' =>'1',
								'sessions_select_count'=>'1');

    		$sInfo = new objectInfo($parameters);
    		//check for session_type

			if (isset($HTTP_GET_VARS['sID']) && empty($HTTP_POST_VARS)) {
				if ($session_type=='R'){
					$session_query = tep_db_query("SELECT date_format(r.sessions_start_date, '%Y-%m-%d') as sessions_start_date,date_format(r.sessions_end_date, '%Y-%m-%d') as sessions_end_date,r.sessions_type,r.sessions_type_option,
													r.events_id,r.recursive_sessions_id, r.sessions_type_daily_days, r.sessions_type_weekly_weeks, r.sessions_type_weekly_days, r.sessions_type_monthly_days,
													r.sessions_type_monthly_months,r.sessions_type_monthly_weeks,r.sessions_type_monthly_weekdays,r.sessions_type_monthly_weekmonths,
													r.sessions_type_yearly_months,r.sessions_type_yearly_monthdays,r.sessions_type_yearly_weeks,r.sessions_type_yearly_weekdays,
													r.sessions_type_yearly_weekmonths from " . TABLE_RECURSIVE_SESSIONS . " r " .
													" where r.recursive_sessions_id = '" . $session_id . "'");
					$session = tep_db_fetch_array($session_query);
					$session['sessions_start_date'] = format_date($session['sessions_start_date']);
					$session['sessions_end_date'] = format_date($session['sessions_end_date']);
					
					$sInfo->objectInfo($session);
				} else {
					$session_query=tep_db_query("SELECT date_format(s.start_date, '%Y-%m-%d') as sessions_start_date,s.events_id from " . TABLE_EVENTS_SESSIONS . " s where s.sessions_id='" . $session_id . "'");
					$session = tep_db_fetch_array($session_query);	
					$session['sessions_start_date'] = format_date($session['sessions_start_date']);
					$session['sessions_end_date'] = format_date($session['sessions_end_date']);
					$sInfo->objectInfo($session);
				}
			} else if (tep_not_null($HTTP_POST_VARS)) {
				$sInfo->objectInfo($HTTP_POST_VARS);
				$sInfo->sessions_type_weekly_days=$weekstring;
				$session_type=$select_session_type;
			} else if ($session_type=='R'){
			
				$previous_query = tep_db_query(	"SELECT r.sessions_type,r.sessions_type_option,r.sessions_type_daily_days, r.sessions_type_weekly_weeks, r.sessions_type_weekly_days, r.sessions_type_monthly_days,
												r.sessions_type_monthly_months,r.sessions_type_monthly_weeks,r.sessions_type_monthly_weekdays,r.sessions_type_monthly_weekmonths,
												r.sessions_type_yearly_months,r.sessions_type_yearly_monthdays,r.sessions_type_yearly_weeks,r.sessions_type_yearly_weekdays,
												r.sessions_type_yearly_weekmonths from " . TABLE_RECURSIVE_SESSIONS . " r " .
												" where r.events_id = '" . $param_event_id . "' order by r.sessions_end_date desc limit 1");
				if (tep_db_num_rows($previous_query)>0){
					$previous_result=tep_db_fetch_array($previous_query);
					$sInfo->objectInfo($previous_result);
				}
			}
			$eventSelected=$param_event_id==0? $sInfo->events_id: $param_event_id;

			if ($session_type=='R'){
				$event_common_query=tep_db_query("SELECT sessions_date_count,sessions_select_count,sessions_select_interval from " . TABLE_EVENTS . " where events_id='" . (int)$eventSelected . "'");
				if ($event_common_result=tep_db_fetch_array($event_common_query)){
					$sInfo->sessions_select_count=$event_common_result['sessions_select_count'];
					$sInfo->sessions_select_interval=$event_common_result['sessions_select_interval'];
					$sInfo->sessions_date_count=$event_common_result['sessions_date_count'];
				}
			}
	
			$form_action = $session_id!=0 ? 'update_session' : 'insert_session';


			$eventsfetch_array = array(array('id' => '', 'text' => TEXT_NONE));
			$eventsfetch_query = tep_db_query("SELECT e.events_id, ed.events_name from " . TABLE_EVENTS . " e, " . TABLE_EVENTS_DESCRIPTION . " ed where e.events_id=ed.events_id and ed.language_id='" . $languages_id . "' order by ed.events_name");
			while ($eventsfetch = tep_db_fetch_array($eventsfetch_query)) {
				$eventsfetch_array[] = array('id' => $eventsfetch['events_id'],
											'text' => $eventsfetch['events_name']);
			}	
	

			$daysselect=isset($sInfo->sessions_type_weekly_days)?$sInfo->sessions_type_weekly_days:'0000000';
			$sessions_type_weekly_days=array('Mon','Tue','Wed','Thu','Fri','Sat','Sun');
			$sessions_weeks_checkstring='<table border="0" cellspacing="0" cellpadding="0" class="formArea"><tr>';
			for ($i = 0, $n = sizeof($sessions_type_weekly_days); $i < $n; $i++) {
				$temp='<td class="main"';
				if ($i%2==0) $temp.=' bgcolor="#ebebff" ';
				$temp.='>';
				$temp .= tep_draw_checkbox_field('sessions_type_weekly_days[]', $i+1, (substr($daysselect,$i,1)=='1'?true:false),'','id=sessions_type_weekly_days_check') . '&nbsp;' . $sessions_type_weekly_days[$i] . '&nbsp;';
				$temp .='</td>';
				$sessions_weeks_checkstring.=$temp;
			}
			$sessions_weeks_checkstring.="</tr></table>";
?>
			
				<?php echo tep_draw_form('new_session', FILENAME_SESSIONS, 'eID=' . $param_event_id . '&ecPath=' . $ecPath . (isset($HTTP_GET_VARS['sID'])? '&sID=' . $HTTP_GET_VARS['sID']:'') . '&action='. $form_action, 'post', 'onSubmit="return ValidateForm();" enctype="multipart/form-data"'); ?>
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
				<?php if ($insert_error!='') { ?>
					<tr>
						<td>
							<table border="0" width="100%" cellspacing='2' cellpadding="2" class='formArea'>
								<tr>
									<td class="pageHeading"><?php echo TEXT_ERROR; ?></td>
								</tr>
								<tr>
									<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '1'); ?></td>
								</tr>
								<tr><td class="main"><?php echo $insert_error; ?>
							</table>
						</td>
					</tr>
				<?php } ?>
				<tr>
					<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="0">
							<tr>
								<td class="pageHeading"><?php echo ((int)$param_event_id!=0?sprintf(TEXT_NEW_SESSION, tep_get_events_name($param_event_id)):TEXT_NEW); ?></td>
								<td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				</tr>
				<tr>
					<td>
						<table border="0" cellspacing="0" cellpadding="2" width=100%>
							<tr>
								<td class="main" width=25%><?php echo TEXT_EVENTS; ?></td>
								<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_eventselect_menu('event_selected',$eventsfetch_array, $param_event_id, 'size=10'); ?></td>
						  	</tr>		
							<tr>
								<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
							</tr>		  
							<tr>
								<td class="main"><?php echo TEXT_SESSIONS_TYPE; ?></td>
								<td class="main">
								<?php 
								echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;';
								$session_type_count=0;
								if ($session_type=='' || $session_type=='S'){
									echo tep_draw_radio_field('select_session_type', 'S', ($session_type=='S'?true:false)) . '&nbsp;' . TEXT_SESSIONS_TYPE_SINGLE . '&nbsp;';
									$session_type_count++;
								}
								if ($session_type=='' || $session_type=='R'){
									echo tep_draw_radio_field('select_session_type', 'R', true) . '&nbsp;' . TEXT_SESSIONS_TYPE_RECUR; 
									$session_type_count++;
								}
								echo tep_draw_hidden_field('session_type_count',$session_type_count);
								?>
								</td>
							</tr>
							<tr>
								<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
							</tr>		  
							<tr><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
								<td class="main"><?php echo TEXT_SESSIONS_START_DATE; ?><br><small><?php echo '(' . $date_format . ')'; ?></small></td>
								<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' .  // tep_draw_input_field("sessions_start_date",(tep_not_null($sInfo->sessions_start_date)?format_date($sInfo->sessions_start_date):format_date($current_date)),"size=10",false,'text',false);
								tep_draw_input_field("sessions_start_date",$sInfo->sessions_start_date,"size=10",false,'text',false);
								?>
								<a href="javascript:show_calendar('new_session.sessions_start_date',null,null,'<?php echo $date_format;?>');"
							      onmouseover="window.status='Date Picker';return true;"
							      onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
							    </a>
								
							</tr>
							<tr>
								<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
							</tr>
							<?php if($session_type=='' || $session_type=='R'){ 
							 $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_END_DATE; ?><br><small><?php echo '(' . $date_format . ')'; ?></small></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;'. tep_draw_input_field("sessions_end_date",$sInfo->sessions_end_date,"size=10",false,'text',false);?>
									<a href="javascript:show_calendar('new_session.sessions_end_date',null,null,'<?php echo $date_format;?>');"
									  onmouseover="window.status='Date Picker';return true;"
									  onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
							    </a>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_DATE_COUNT; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_input_field('sessions_date_count',$sInfo->sessions_date_count,'maxlength=3 size=5'); ?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_SELECT_INTERVAL; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_input_field('sessions_select_interval',$sInfo->sessions_select_interval,'maxlength=3 size=5'); ?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_SELECT_COUNT; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_input_field('sessions_select_count',$sInfo->sessions_select_count,'maxlength=3 size=5'); ?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_TYPE_DAILY; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'DD', ($sInfo->sessions_type_option=='DD'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_DAYS_DISPLAY, tep_draw_input_field('sessions_type_daily_days', $sInfo->sessions_type_daily_days,'size=5 maxlength=2')); ?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main" align="left"><?php echo TEXT_SESSIONS_TYPE_WEEKLY; ?></td>
									<td class="main"><table border="0" cellpadding="0"><tr><td class="main" align="left"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'WW', ($sInfo->sessions_type_option=='WW'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_WEEKS_DISPLAY, tep_draw_input_field('sessions_type_weekly_weeks', $sInfo->sessions_type_weekly_weeks,'size=5 maxlength=2') , "");?></td><td><?php echo $sessions_weeks_checkstring; ?></td></tr></table></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_TYPE_MONTHLY; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'MD', ($sInfo->sessions_type_option=='MD'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_MONTHS_DISPLAY1 , tep_draw_input_field('sessions_type_monthly_days', $sInfo->sessions_type_monthly_days,'size=5 maxlength=2') , tep_draw_input_field('sessions_type_monthly_months', $sInfo->sessions_type_monthly_months,'size=5 maxlength=2')); ?><br><br>
													 <?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'MM', ($sInfo->sessions_type_option=='MM'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_MONTHS_DISPLAY2, tep_draw_combo_select('weeks','sessions_type_monthly_weeks',$sInfo->sessions_type_monthly_weeks) . '&nbsp;' . tep_draw_combo_select('days',"sessions_type_monthly_weekdays",$sInfo->sessions_type_monthly_weekdays) , tep_draw_input_field('sessions_type_monthly_weekmonths', $sInfo->sessions_type_monthly_weekmonths,'size=5 maxlength=2')); ?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
								<tr>
									<td class="main"><?php echo TEXT_SESSIONS_TYPE_YEARLY; ?></td>
									<td class="main"><?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'YM', ($sInfo->sessions_type_option=='YM'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_YEARS_DISPLAY1, tep_draw_combo_select('months','sessions_type_yearly_months',$sInfo->sessions_type_yearly_months) . '&nbsp;' . tep_draw_input_field('sessions_type_yearly_monthdays', $sInfo->sessions_type_yearly_monthdays,'size=5 maxlength=2'));?><br><br>
												 <?php echo tep_draw_separator('pixel_trans.gif', '24', '15') . '&nbsp;' . tep_draw_radio_field('sessions_type_option', 'YY', ($sInfo->sessions_type_option=='YY'?true:false)) . sprintf(TEXT_SESSIONS_TYPE_YEARS_DISPLAY2, tep_draw_combo_select('weeks','sessions_type_yearly_weeks',$sInfo->sessions_type_yearly_weeks) . '&nbsp;' . tep_draw_combo_select('days',"sessions_type_yearly_weekdays",$sInfo->sessions_type_yearly_weekdays), tep_draw_combo_select('months',"sessions_type_yearly_weekmonths",$sInfo->sessions_type_yearly_weekmonths));?></td>
								</tr>
								<tr>
									<td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
								</tr>
							<?php } ?>
							<tr>
								<td class="main" colspan="2" align="right"><?php echo tep_image_submit('button_save.gif', IMAGE_SAVE) . '&nbsp;&nbsp;<a href="' . ($ecPath!=''?tep_href_link(FILENAME_SESSIONS, ($param_event_id!=0?'eID=' . $param_event_id:'') . '&ecPath=' . $ecPath):tep_href_link(FILENAME_EVENTS_CATEGORIES)) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
							</tr>
						</table>
					</td>
				</tr>	  
    		</table>
			<?php echo '</form>';?>
			<?php
			//MaxiDVD Added WYSIWYG HTML Area Box + Admin Function v1.7 - 2.2 MS2 sessions Description HTML - </form>
			   if (HTML_AREA_WYSIWYG_DISABLE == 'Disable') {} else { ?>
						<script language="JavaScript1.2" defer>
						 var config = new Object();  // create new config object
						 config.width = "<?php echo HTML_AREA_WYSIWYG_WIDTH; ?>px";
						 config.height = "<?php echo HTML_AREA_WYSIWYG_HEIGHT; ?>px";
						 config.bodyStyle = 'background-color: <?php echo HTML_AREA_WYSIWYG_BG_COLOUR; ?>; font-family: "<?php echo HTML_AREA_WYSIWYG_FONT_TYPE; ?>"; color: <?php echo HTML_AREA_WYSIWYG_FONT_COLOUR; ?>; font-size: <?php echo HTML_AREA_WYSIWYG_FONT_SIZE; ?>pt;';
						 config.debug = <?php echo HTML_AREA_WYSIWYG_DEBUG; ?>;
					  <?php for ($i = 0, $n = sizeof($languages); $i < $n; $i++) { ?>
					  editor_generate('sessions_description[<?php echo $languages[$i]['id']; ?>]',config);
				 <?php } } ?>
				  </script>
			<?php
			} elseif ($action == 'new_session_preview') {
				if (tep_not_null($HTTP_POST_VARS)) {
					$sInfo = new objectInfo($HTTP_POST_VARS);
				} else {
					if ($session_type=='R'){
						$session_query = tep_db_query("SELECT date_format(r.sessions_start_date, '%Y-%m-%d') as sessions_start_date,date_format(r.sessions_end_date, '%Y-%m-%d') as sessions_end_date,r.sessions_type_option,
														r.events_id,r.recursive_sessions_id as sessions_id, r.sessions_type_daily_days, r.sessions_type_weekly_weeks, r.sessions_type_weekly_days, r.sessions_type_monthly_days,
														r.sessions_type_monthly_months,r.sessions_type_monthly_weeks,r.sessions_type_monthly_weekdays,r.sessions_type_monthly_weekmonths,
														r.sessions_type_yearly_months,r.sessions_type_yearly_monthdays,r.sessions_type_yearly_weeks,r.sessions_type_yearly_weekdays,
														r.sessions_type_yearly_weekmonths from " . TABLE_RECURSIVE_SESSIONS . " r where r.recursive_sessions_id = '" . $session_id ."' order by sessions_start_date");
						$session = tep_db_fetch_array($session_query);
				
						$sInfo = new objectInfo($session);
					}
				}
				if ($session_type=='R')
					$session_query=tep_db_query("SELECT s.sessions_id,date_format(s.start_date,'%Y-%m-%d') as start_date from " . TABLE_EVENTS_SESSIONS . " s where s.events_id='" . $param_event_id . "' and recursive_sessions_id='" . (int)$session_id . "' and sessions_type!='' order by start_date");
				else
					$session_query=tep_db_query("SELECT s.sessions_id,date_format(s.start_date,'%Y-%m-%d') as start_date from " . TABLE_EVENTS_SESSIONS . " s where s.events_id='" . $param_event_id . "' and sessions_type='S' order by start_date");

				$event_query=tep_db_query("SELECT events_location,time_format(events_start_time,'%h:%i %p') as events_start_time,time_format(events_end_time,'%h:%i %p') as events_end_time from " . TABLE_EVENTS . " where events_id='" . $param_event_id . "'");
				$event_result=tep_db_fetch_array($event_query);
				
				$form_action = ($session_id!=0) ? 'update_session' : 'insert_session';

				echo tep_draw_form($form_action, FILENAME_SESSIONS, (isset($HTTP_GET_VARS['sID']) ? '&sID=' . $HTTP_GET_VARS['sID'] : '') . '&eId=' . $param_event_id . '&action=' . $form_action, 'post', 'enctype="multipart/form-data"');
			?>
			<table border="0" width="100%" cellspacing="0" cellpadding="2">
				<tr>
					<td class="pageHeading"><?php echo TEXT_SESSIONS_TYPE . '&nbsp;' . ($session_type=='R'?TEXT_TYPE_RECURSIVE:TEXT_TYPE_SINGLE) ;?></td>
				</tr>
				<tr>
					<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				</tr>
				<?php if ($session_type=='R') { ?>
				<tr>
					<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="0">
							<tr>
								<td class="main"><?php echo '<b>' . TEXT_START_DATE . '</b>&nbsp;' . format_date($sInfo->sessions_start_date); ?></td>
								<td class="main"><?php echo '<b>' . TEXT_END_DATE .  '</b>&nbsp;' . format_date($sInfo->sessions_end_date); ?></td>
							</tr>
						</table>
					</td>
				</tr>
				<?php } ?>
			    <tr>
					<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
				</tr>
				<tr>
					<td class="pageHeading"><?php echo TEXT_SESSIONS_DETAILS?></td>
				</tr>
				<tr>
					<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="3">
							<tr class=dataTableHeadingRow>
								<td class="dataTableHeadingContent"><?php echo TEXT_START_DATE; ?><td class="dataTableHeadingContent"><?php echo TEXT_TIME; ?><td class="dataTableHeadingContent"><?php echo TEXT_LOCATION; ?></td>
							</tr>
							<?php while($session = tep_db_fetch_array($session_query)) { ?>
								<tr class="dataTableRow">
									<td class="dataTableContent"><?php echo format_date($session['start_date']);?><td class="dataTableContent"><?php echo $event_result['events_start_time'] . " - " . $event_result['events_end_time']; ?>
									<td class="dataTableContent"><?php echo tep_get_locations_name($event_result['events_location']); ?>
							<?php } ?>
						</table>
						<?php
						if (isset($HTTP_GET_VARS['read']) && ($HTTP_GET_VARS['read'] == 'only')) {
							if (isset($HTTP_GET_VARS['origin'])) {
								$pos_params = strpos($HTTP_GET_VARS['origin'], '?', 0);
							if ($pos_params != false) {
								$back_url = substr($HTTP_GET_VARS['origin'], 0, $pos_params);
								$back_url_params = substr($HTTP_GET_VARS['origin'], $pos_params + 1);
							} else {
								$back_url = $HTTP_GET_VARS['origin'];
								$back_url_params = '';
							}
						} else {
							$back_url = FILENAME_SESSIONS;
							$back_url_params = '';
						}
						?>
					<tr>
						<td align="right"><?php echo '<a href="' . tep_href_link("sessions.php", 'ecPath=' . $ecPath . tep_build_session_parameter($param_event_id,$HTTP_GET_VARS['sID']), 'NONSSL') . '">' . tep_image_button('button_back.gif', IMAGE_BACK) . '</a>'; ?></td>
					</tr>
			<?php
			} else {
			?>
				<tr>
				<td align="right" class="smallText">
<?php
/////////////////////////////////////////////////////////////////////
// BOF: WebMakers.com Added: Original Code No longer used
// Code has been left in to show how additional sessions_descriptions could be added
if (false) {
/* Re-Post all POST'ed variables */
      reset($HTTP_POST_VARS);
      while (list($key, $value) = each($HTTP_POST_VARS)) {
        if (!is_array($HTTP_POST_VARS[$key])) {
          echo tep_draw_hidden_field($key, htmlspecialchars(stripslashes($value)));
        }
      }
      $languages = tep_get_languages();
      for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
        echo tep_draw_hidden_field('sessions_description[' . $languages[$i]['id'] . ']', htmlspecialchars(stripslashes($sessions_description[$languages[$i]['id']])));
      }
} // false
// EOF: WebMakers.com Added: Original Code
/////////////////////////////////////////////////////////////////////
?>

<?php
/////////////////////////////////////////////////////////////////////
// BOF: WebMakers.com Added: Modified to include Attributes Code
/* Re-Post all POST'ed variables */
      reset($HTTP_POST_VARS);
      while (list($key, $value) = each($HTTP_POST_VARS)) {
        if (is_array($value)) {
          while (list($k, $v) = each($value)) {
            echo tep_draw_hidden_field($key . '[' . $k . ']', htmlspecialchars(stripslashes($v)));
          }
        } else {
          echo tep_draw_hidden_field($key, htmlspecialchars(stripslashes($value)));
        }
      }
// EOF: WebMakers.com Added: Modified to include Attributes Code
/////////////////////////////////////////////////////////////////////
      echo tep_draw_hidden_field('sessions_image', stripslashes($sessions_image_name));

      echo tep_image_submit('button_back.gif', IMAGE_BACK, 'name="edit"') . '&nbsp;&nbsp;';

      if (isset($HTTP_GET_VARS['sID'])) {
        echo tep_image_submit('button_update.gif', IMAGE_UPDATE);
      } else {
        echo tep_image_submit('button_insert.gif', IMAGE_INSERT);
      }
      echo '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SESSIONS, tep_buid_session_parameter($param_event_id,$HTTP_GET_VARS['sID'])) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>';
?></td>
      </tr>
    </table><?php echo '</form>'; ?>
<?php
    }
  } else {
?>
    <table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo sprintf(HEADING_TITLE ,tep_get_events_name($param_event_id)); ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td align="right"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td class="smallText" align="right">
<?php
    echo tep_draw_form('search', FILENAME_SESSIONS, '', 'get');
    echo tep_draw_hidden_field('ecPath',$ecPath);
    echo tep_draw_hidden_field('eID',$param_event_id);
    echo HEADING_TITLE_SEARCH . ' ' . tep_draw_input_field('search');
    echo '</form>';
?>
                </td>
              </tr>
              <tr>
                <td class="smallText" align="right">
<?php
    echo tep_draw_form('goto', FILENAME_EVENTS_CATEGORIES, '', 'get');
    echo HEADING_TITLE_GOTO . ' ' . tep_draw_pull_down_menu('ecPath', tep_get_events_category_tree(), $current_events_category_id, 'onChange="this.form.submit();"');
    echo '</form>';
?>
                </td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_SESSIONS; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_TYPE; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
    $sessions_count = 0;
    if (isset($HTTP_GET_VARS['search'])) {
      if ($session_type=='R')
        $sessions_query=tep_db_query("SELECT r.recursive_sessions_id as sessions_id, date_format(r.sessions_start_date, '%Y-%m-%d') as sessions_start_date,date_format(r.sessions_end_date, '%Y-%m-%d') as sessions_end_date from " . TABLE_RECURSIVE_SESSIONS . " r where r.events_id=" . $param_event_id . " and r.sessions_start_date='" . tep_db_input($search) . "' order by r.sessions_start_date");
      else
        $sessions_query=tep_db_query("SELECT s.sessions_id,date_format(s.start_date) as sessions_start_date from " . TABLE_EVENTS_SESSIONS . " s where s.events_id=" . $param_event_id . " and s.sessions_type='S' and s.start_date ='" . tep_db_input($search) . "' order by s.start_date");
    } else {
      if($session_type=='R')
       $sessions_query = tep_db_query("SELECT r.recursive_sessions_id as sessions_id, date_format(r.sessions_start_date, '%Y-%m-%d') as sessions_start_date,date_format(r.sessions_end_date, '%Y-%m-%d') as sessions_end_date from " . TABLE_RECURSIVE_SESSIONS . " r where r.events_id=" . $param_event_id . " order by r.sessions_start_date");
      else
       $sessions_query = tep_db_query("SELECT s.sessions_id, date_format(s.start_date, '%Y-%m-%d') as sessions_start_date from " . TABLE_EVENTS_SESSIONS . " s where s.events_id=" . $param_event_id . " and s.sessions_type='S' order by s.start_date");
    }
    
    while ($sessions = tep_db_fetch_array($sessions_query)) {
      $sessions_count++;
      $rows++;

// Get categories_id for session if search
//      if (isset($HTTP_GET_VARS['search'])) $ecPath = $sessions['categories_id'];

      if ((!isset($HTTP_GET_VARS['sID']) && !isset($sInfo)) || ($HTTP_GET_VARS['sID'] == $sessions['sessions_id'] && !isset($sInfo) && substr($action, 0, 3) != 'new')) {
// find out the rating average from customer reviews
        //$reviews_query = tep_db_query("select (avg(reviews_rating) / 5 * 100) as average_rating from " . TABLE_REVIEWS . " where sessions_id = '" . (int)$sessions['sessions_id'] . "'");
        //$reviews = tep_db_fetch_array($reviews_query);
        $sInfo_array = $sessions;
        $sInfo = new objectInfo($sInfo_array);
      }
      if (isset($sInfo) && is_object($sInfo) && $sessions['sessions_id'] == $sInfo->sessions_id) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_SESSIONS, 'ecPath=' . $ecPath . '&eID=' . $param_event_id . '&sID=' .$sessions['sessions_id'] . '&action=new_session_preview&read=only') . '\'">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_SESSIONS, 'ecPath=' . $ecPath . '&eID=' . $param_event_id . "&sID=" . $sessions['sessions_id']) . '\'">' . "\n";
      }
?>
                <td class="dataTableContent"><?php echo '<a href="' . tep_href_link(FILENAME_SESSIONS, 'ecPath=' . $ecPath . '&eID=' . $param_event_id . '&sID=' . $sessions['sessions_id'] . '&action=new_session_preview&read=only') . '">' . tep_image(DIR_WS_ICONS . 'preview.gif', ICON_PREVIEW) . '</a>&nbsp;' . format_date($sessions['sessions_start_date']) . ($session_type=='R'?TEXT_SESSIONS_TO . format_date($sessions['sessions_end_date']):''); ?></td>
                <td class="dataTableContent" align="center">
     <?php 
     if ($session_type=='R') echo TEXT_TYPE_RECURSIVE; else echo TEXT_TYPE_SINGLE;
?></td>
                <td class="dataTableContent" align="right"><?php if (isset($sInfo) && is_object($sInfo) && ($sessions['sessions_id'] == $sInfo->sessions_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_SESSIONS, 'ecPath=' . $ecPath . '&eID=' . $param_event_id . '&sID=' .$sessions['sessions_id'] . '&action=new_session_preview&read=only') . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
	  <?php } ?>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
	  
              <tr>
                <td colspan="3"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText">
                    <td align="right" class="smallText"><?php if (!isset($HTTP_GET_VARS['search'])) { echo '<a href="' . tep_href_link(FILENAME_EVENTS_CATEGORIES,"ecPath=" . $ecPath . '&eID=' . $param_event_id ) . '">' . tep_image_button('button_back.gif', IMAGE_BACK) . '</a>&nbsp;'; 
		       echo '<a href="' . tep_href_link(FILENAME_SESSIONS, 'action=new_session' . "&ecPath=" . $ecPath . '&eID=' . $param_event_id) . '">' . tep_image_button('button_new_session.gif', IMAGE_NEW_SESSION) .'</a>';}?>&nbsp;</td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
    $heading = array();
    $contents = array();
    switch ($action) {
      case 'delete_session':
        $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_SESSION . '</b>');

        $contents = array('form' => tep_draw_form('sessions', FILENAME_SESSIONS, "ecPath=" . $ecPath . '&eID=' . $param_event_id . '&action=delete_session_confirm') . tep_draw_hidden_field('sessions_id', $sInfo->sessions_id));
        $contents[] = array('text' => TEXT_DELETE_SESSION_INTRO);
        $contents[] = array('text' => '<br><b>' . format_date($sInfo->sessions_start_date) . ($session_type=='R'? TEXT_SESSIONS_TO . format_date($sInfo->sessions_end_date):'') . '</b>');
        $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . tep_href_link(FILENAME_SESSIONS, 'ecPath=' . $ecPath  . tep_build_session_parameter($param_event_id,$sInfo->sessions_id)) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
        break;
      default:
        if ($sessions_count > 0) {
          if (isset($sInfo) && is_object($sInfo)) {// session info box contents
            $heading[] = array('text' => '<b>' . format_date($sInfo->sessions_start_date) . ($session_type=='R'? TEXT_SESSIONS_TO . format_date($sInfo->sessions_end_date):'') . '</b>');

            $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_SESSIONS, "ecPath=" . $ecPath . '&eID=' . $param_event_id . "&sID=" . $sInfo->sessions_id . '&action=new_session') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_SESSIONS, "ecPath=" . $ecPath . '&eID=' . $param_event_id . "&sID=" . $sInfo->sessions_id . '&action=delete_session') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');}}
        else { 
          $heading[] = array('text' => '<b>' . EMPTY_SESSION . '</b>');

          $contents[] = array('text' => TEXT_NO_CHILD_SESSION);
        }		  
        break;
    }

    if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
      echo '            <td width="25%" valign="top">' . "\n";

      $box = new box;
      echo $box->infoBox($heading, $contents);

      echo '            </td>' . "\n";
    }
?>
<?php
  }
?>
          </tr>
        </table></td>
      </tr>
    </table>
    </td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>